petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexGetRedundantDM

Get a copy of the DMPlex that is completely copied on each process.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetRedundantDM(DM dm, DM * redundantMesh)

### Input Parameters

dm -the original DMPlex object

### Output Parameters

redundantMesh -the redundant DM object, or NULL

### Keywords

mesh

### See Also

DMPlexDistribute(), DMPlexGetGatherDM()

Level:intermediate
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages